Subject: Re: git status doesn't ignore GIT_DIR directory?

From: Junio C Hamano <[email-masked]>
Date: Sat, 23 May 2015 10:00:23 -0700

Junio C Hamano <[email-masked]> writes:

> I think both of you are wrong ;-)
>
> The thing is, what you are seeing does not have much to do with
> GIT_DIR.  It is "what Git does when it finds a directory inside the
> working tree of a project".  And ".git" is the only special thing in
> that context.

In short, I think Duy's "how about this" means well, but adds
documentation at a wrong place.

Having said all that, the message I am responding to showed the
right way to look at, understand, and explain the current behaviour.
It is a separate issue if the current behaviour is optimal from the
usability point of view.  It is not entirely implausible to extend
the special casing rules from "a directory named '.git' only" to "in
addition, the directory pointed at by GIT_DIR, if exists, is treated
the same way".